:root {
  /* Cor principal */
  --bs-primary: #333F69;
  --bs-primary-rgb: 51, 63, 105;
  --bs-primary-text: #ffffff;

  /* Subtons usados por badges, alerts, btn-outline, etc */
  --bs-primary-bg-subtle: #e6e8f1;
  --bs-primary-border-subtle: #c5c9de;

  /* Cores derivadas para hover, active, etc */
  --bs-link-color: #333F69;
  --bs-link-hover-color: #2b3458;

  --bs-btn-hover-bg: #2b3458;
  --bs-btn-hover-border-color: #2b3458;
  --bs-btn-focus-shadow-rgb: 102, 112, 157;
  --bs-btn-active-bg: #252d4a;
  --bs-btn-active-border-color: #252d4a;

  --bs-btn-disabled-bg: #333F69;
  --bs-btn-disabled-border-color: #333F69;
}

.btn-primary {
  --bs-btn-color: #ffffff;
  --bs-btn-bg: #333F69;
  --bs-btn-border-color: #333F69;
  --bs-btn-hover-color: #ffffff;
  --bs-btn-hover-bg: #2B3458;
  --bs-btn-hover-border-color: #293254;
  --bs-btn-focus-shadow-rgb: 224, 226, 233;
  --bs-btn-active-color: #ffffff;
  --bs-btn-active-bg: #293254;
  --bs-btn-active-border-color: #262F4F;
  --bs-btn-disabled-color: #ffffff;
  --bs-btn-disabled-bg: #333F69;
  --bs-btn-disabled-border-color: #333F69;
}

.btn-outline-primary {
  --bs-btn-color: #333F69;
  --bs-btn-border-color: #333F69;
  --bs-btn-focus-shadow-rgb: 51, 63, 105;
  --bs-btn-hover-color: #ffffff;
  --bs-btn-hover-bg: #333F69;
  --bs-btn-hover-border-color: #333F69;
  --bs-btn-active-color: #ffffff;
  --bs-btn-active-bg: #333F69;
  --bs-btn-active-border-color: #333F69;
  --bs-btn-disabled-color: #333F69;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #333F69;
}

.fit-cover {
  object-fit: cover;
}

.bs-icon {
  --bs-icon-size: .75rem;
  display: flex;
  flex-shrink: 0;
  justify-content: center;
  align-items: center;
  font-size: var(--bs-icon-size);
  width: calc(var(--bs-icon-size) * 2);
  height: calc(var(--bs-icon-size) * 2);
  color: var(--bs-primary);
}

.bs-icon-xs {
  --bs-icon-size: 1rem;
  width: calc(var(--bs-icon-size) * 1.5);
  height: calc(var(--bs-icon-size) * 1.5);
}

.bs-icon-sm {
  --bs-icon-size: 1rem;
}

.bs-icon-md {
  --bs-icon-size: 1.5rem;
}

.bs-icon-lg {
  --bs-icon-size: 2rem;
}

.bs-icon-xl {
  --bs-icon-size: 2.5rem;
}

.bs-icon.bs-icon-primary {
  color: var(--bs-white);
  background: var(--bs-primary);
}

.bs-icon.bs-icon-primary-light {
  color: var(--bs-primary);
  background: rgba(var(--bs-primary-rgb), .2);
}

.bs-icon.bs-icon-semi-white {
  color: var(--bs-primary);
  background: rgba(255, 255, 255, .5);
}

.bs-icon.bs-icon-rounded {
  border-radius: .5rem;
}

.bs-icon.bs-icon-circle {
  border-radius: 50%;
}

